from django.db import models
from django.utils import timezone
from fwd_api.models.OcrTemplate import OcrTemplate


class OcrTemplateBox(models.Model):
    id = models.AutoField(primary_key=True)
    name: str = models.CharField(max_length=300, null=True)
    template = models.ForeignKey(OcrTemplate, on_delete=models.CASCADE)
    type: str = models.CharField(max_length=100) # ANCHOR / DATA
    coordinates: str = models.CharField(max_length=200)
    created_at = models.DateTimeField(default=timezone.now)
    updated_at = models.DateTimeField(auto_now=True)
